aboutsummaryrefslogtreecommitdiffstats
path: root/testing/openxcap/openxcap.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/openxcap/openxcap.initd')
-rw-r--r--testing/openxcap/openxcap.initd32
1 files changed, 20 insertions, 12 deletions
diff --git a/testing/openxcap/openxcap.initd b/testing/openxcap/openxcap.initd
index 69108afd8a7..03286cce3dd 100644
--- a/testing/openxcap/openxcap.initd
+++ b/testing/openxcap/openxcap.initd
@@ -1,23 +1,31 @@
#!/sbin/runscript
-#
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-daemon=/usr/bin/openxcap
-pidfile=/var/run/openxcap/openxcap.pid
+INSTALL_DIR="/usr/bin"
+RUNTIME_DIR="/var/run/openxcap"
+DEFAULTS="/etc/default/openxcap"
+SERVER="$INSTALL_DIR/openxcap"
+PID="$RUNTIME_DIR/openxcap.pid"
+OPTIONS=""
+NAME="openxcap"
+DESC="OpenXCAP server"
depend() {
- need net
- after firewall
+ need net
+ after firewall
}
start() {
- ebegin "Starting OpenXCAP Presence Server"
- start-stop-daemon --start --quiet --pidfile $pidfile --exec $daemon
- eend $?
+ ebegin "Starting $DESC: $NAME "
+ start-stop-daemon --start --quiet --pidfile $PID --exec $SERVER -- $OPTIONS
+ eend $?
}
-stop() {
- ebegin "Stopping OpenXCAP Presence Server"
- start-stop-daemon --stop --quiet --signal 15 --pidfile $pidfile
- eend $?
+stop () {
+ ebegin -n "Stopping $DESC: $NAME "
+ start-stop-daemon --stop --quiet --oknodo --signal 15 --pidfile $PID
+ eend $?
}
+exit 0
+